
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set(PASSWORD_FILE_HAS_SHARED_LIB ON)
if(PASSWORD_FILE_HAS_SHARED_LIB)
    set(PASSWORD_FILE_SHARED_LIB "passwordfile")
    set(PASSWORD_FILE_SHARED_LIB_DEPENDS c++utilities)
    set(PASSWORD_FILE_SHARED_LIB_COMPILE_DEFINITIONS )
    set(PC_PKG_SHARED_passwordfile "passwordfile")
    set(PASSWORD_FILE_LIB "${PASSWORD_FILE_SHARED_LIB}")
    if(NOT TARGET "${PASSWORD_FILE_SHARED_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/passwordfileSharedTargets.cmake")
    endif()
else()
    set(PASSWORD_FILE_LIB "${PASSWORD_FILE_STATIC_LIB}")
endif()

set(PASSWORD_FILE_HAS_STATIC_LIB ON)
if(PASSWORD_FILE_HAS_STATIC_LIB)
    set(PASSWORD_FILE_STATIC_LIB "passwordfile_static")
    set(PASSWORD_FILE_STATIC_LIB_DEPENDS c++utilities_static general;general;/usr/i686-w64-mingw32/lib/libz.a;/usr/i686-w64-mingw32/lib/libcrypto.a)
    set(PASSWORD_FILE_STATIC_LIB_COMPILE_DEFINITIONS PASSWORD_FILE_STATIC)
    set(PC_PKG_STATIC_passwordfile_static "passwordfile_static")
    if(NOT TARGET "${PASSWORD_FILE_STATIC_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/passwordfileStaticTargets.cmake")
    endif()
endif()

set(PASSWORD_FILE_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(PASSWORD_FILE_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(PASSWORD_FILE_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(PASSWORD_FILE_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/passwordfile/cmake/modules")
set(PASSWORD_FILE_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/passwordfile/cmake")
set(PASSWORD_FILE_PRIVATE_QT_MODULES "")
set(PASSWORD_FILE_PRIVATE_KF_MODULES "")
set(PASSWORD_FILE_PUBLIC_QT_MODULES "")
set(PASSWORD_FILE_PUBLIC_KF_MODULES "")

macro(use_PASSWORD_FILE)
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${PASSWORD_FILE_MODULE_DIRS})
    # add include and link directories
    include_directories(BEFORE SYSTEM ${PASSWORD_FILE_INCLUDE_DIRS})
    link_directories(${PASSWORD_FILE_LIB_DIR})
    # link against library
    include(3rdParty)
    if(NOT ARGV0)
        set(PASSWORD_FILE_LINKAGE AUTO_LINKAGE)
    else()
        set(PASSWORD_FILE_LINKAGE "${ARG0}")
    endif()
    link_against_library(PASSWORD_FILE "${PASSWORD_FILE_LINKAGE}" REQUIRED)
    # add required Qt and KF modules
    list(APPEND IMPORTED_QT_MODULES ${PASSWORD_FILE_PUBLIC_QT_MODULES})
    list(APPEND IMPORTED_KF_MODULES ${PASSWORD_FILE_PUBLIC_KF_MODULES})
endmacro()
